;--- include file created by h2incx v0.99.20 (copyright 2005-2009 japheth)
;--- source file: c:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\include\odbcinst.h, last modified: 9/30/2009 20:27
;--- cmdline used for creation:  -a -c "c:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\include\odbcinst.h"

;//-----------------------------------------------------------------------------
;// File:            odbcinst.h
;//
;// Copyright:       Copyright (c) Microsoft Corporation
;//
;// Contents:        Prototypes for ODBCCP32.DLL
;//
;// Comments:
;//
;//-----------------------------------------------------------------------------
ifndef __ODBCINST_H
__ODBCINST_H	EQU	<>
ifndef __SQL
	include sql.inc
endif 
ifdef __cplusplus
;extern "C"
;{
;// Assume C declarations for C++
endif ;// __cplusplus
ifndef ODBCVER
ODBCVER	EQU	0380h;// Default to ODBC 3.80
endif 
ifndef WINVER
WINVER	EQU	0400h;// Assume Windows 4.0
endif 
;// Constants ---------------------------------------------------------------
;// SQLConfigDataSource request flags
ODBC_ADD_DSN	EQU	1;// Add data source
ODBC_CONFIG_DSN	EQU	2;// Configure (edit) data source
ODBC_REMOVE_DSN	EQU	3;// Remove data source
if (ODBCVER ge 0250h)
ODBC_ADD_SYS_DSN	EQU	4;// add a system DSN
ODBC_CONFIG_SYS_DSN	EQU	5;// Configure a system DSN
ODBC_REMOVE_SYS_DSN	EQU	6;// remove a system DSN
if (ODBCVER ge 0300h)
ODBC_REMOVE_DEFAULT_DSN	EQU	7;// remove the default DSN
;* ODBCVER >= 0x0300 *
endif 
;// install request flags
ODBC_INSTALL_INQUIRY	EQU	1
ODBC_INSTALL_COMPLETE	EQU	2
;// config driver flags
ODBC_INSTALL_DRIVER	EQU	1
ODBC_REMOVE_DRIVER	EQU	2
ODBC_CONFIG_DRIVER	EQU	3
ODBC_CONFIG_DRIVER_MAX	EQU	100
endif 
;// SQLGetConfigMode and SQLSetConfigMode flags
if (ODBCVER ge 0300h)
ODBC_BOTH_DSN	EQU	0
ODBC_USER_DSN	EQU	1
ODBC_SYSTEM_DSN	EQU	2
;* ODBCVER >= 0x0300 *
endif 
;// SQLInstallerError code
if (ODBCVER ge 0300h)
ODBC_ERROR_GENERAL_ERR	EQU	1
ODBC_ERROR_INVALID_BUFF_LEN	EQU	2
ODBC_ERROR_INVALID_HWND	EQU	3
ODBC_ERROR_INVALID_STR	EQU	4
ODBC_ERROR_INVALID_REQUEST_TYPE	EQU	5
ODBC_ERROR_COMPONENT_NOT_FOUND	EQU	6
ODBC_ERROR_INVALID_NAME	EQU	7
ODBC_ERROR_INVALID_KEYWORD_VALUE	EQU	8
ODBC_ERROR_INVALID_DSN	EQU	9
ODBC_ERROR_INVALID_INF	EQU	10
ODBC_ERROR_REQUEST_FAILED	EQU	11
ODBC_ERROR_INVALID_PATH	EQU	12
ODBC_ERROR_LOAD_LIB_FAILED	EQU	13
ODBC_ERROR_INVALID_PARAM_SEQUENCE	EQU	14
ODBC_ERROR_INVALID_LOG_FILE	EQU	15
ODBC_ERROR_USER_CANCELED	EQU	16
ODBC_ERROR_USAGE_UPDATE_FAILED	EQU	17
ODBC_ERROR_CREATE_DSN_FAILED	EQU	18
ODBC_ERROR_WRITING_SYSINFO_FAILED	EQU	19
ODBC_ERROR_REMOVE_DSN_FAILED	EQU	20
ODBC_ERROR_OUT_OF_MEM	EQU	21
ODBC_ERROR_OUTPUT_STRING_TRUNCATED	EQU	22
ODBC_ERROR_NOTRANINFO	EQU	23
ODBC_ERROR_MAX	EQU	<ODBC_ERROR_NOTRANINFO>;// update this when we add new error message
;* ODBCVER >= 0x0300 *
endif 
ifndef EXPORT
EXPORT	EQU	<>
endif 
ifndef RC_INVOKED
;// Prototypes --------------------------------------------------------------
INSTAPI	EQU	<__stdcall>
;// High level APIs
SQLInstallODBC proto  :HWND, :LPSTR, :LPSTR, :LPSTR
SQLManageDataSources proto  :HWND
SQLCreateDataSource proto  :HWND, :LPSTR
__success proto  :return
SQLGetTranslator proto  :HWND, :__inout_ecount :LPSTR, :WORD, :ptr WORD, :__out_ecount :LPSTR, :WORD, :ptr WORD, :ptr DWORD
;// Low level APIs
;// NOTE: The high-level APIs should always be used. These APIs
;//       have been left for compatibility.
__success proto  :return
SQLInstallDriver proto  :LPSTR, :LPSTR, :__out_ecount_opt :LPSTR, :WORD, :ptr WORD
SQLInstallDriverManager proto  :__inout_ecount :LPSTR, :WORD, :ptr WORD
__success proto  :return
SQLGetInstalledDrivers proto  :__out_ecount :LPSTR, :WORD, :ptr WORD
__success proto  :return
SQLGetAvailableDrivers proto  :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD
SQLConfigDataSource proto  :HWND, :WORD, :LPSTR, :LPSTR
SQLRemoveDefaultDataSource proto  
SQLWriteDSNToIni proto  :LPSTR, :LPSTR
SQLRemoveDSNFromIni proto  :LPSTR
SQLValidDSN proto  :LPSTR
SQLWritePrivateProfileString proto  :LPSTR, :LPSTR, :LPSTR, :LPSTR
__success proto  :!=
SQLGetPrivateProfileString proto  :LPSTR, :LPSTR, :LPSTR, :__out_ecount_opt :LPSTR, :DWORD, :LPSTR
if (ODBCVER ge 0250h)
SQLRemoveDriverManager proto  :LPDWORD
__success proto  :return
SQLInstallTranslator proto  :LPSTR, :LPSTR, :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD, :WORD, :LPDWORD
SQLRemoveTranslator proto  :LPSTR, :LPDWORD
SQLRemoveDriver proto  :LPSTR, :BOOL, :LPDWORD
__success proto  :return
SQLConfigDriver proto  :HWND, :WORD, :LPSTR, :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD
endif 
if (ODBCVER ge 0300h)
__success proto  :==
SQLInstallerError proto  :WORD, :ptr DWORD, :__out_ecount_opt :LPSTR, :WORD, :ptr WORD
SQLPostInstallerError proto  :DWORD, :LPSTR
SQLWriteFileDSN proto  :LPSTR, :LPSTR, :LPSTR, :LPSTR
__success proto  :return
SQLReadFileDSN proto  :LPSTR, :LPSTR, :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD
__success proto  :return
SQLInstallDriverEx proto  :LPSTR, :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD, :WORD, :LPDWORD
__success proto  :return
SQLInstallTranslatorEx proto  :LPSTR, :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD, :WORD, :LPDWORD
SQLGetConfigMode proto  :ptr UWORD
SQLSetConfigMode proto  :UWORD
;* ODBCVER >= 0x0300 *
endif 
;//  Driver specific Setup APIs called by installer
ConfigDSN proto  :HWND, :WORD, :LPSTR, :LPSTR
ConfigTranslator proto  :HWND, :ptr DWORD
if (ODBCVER ge 0250h)
ConfigDriver proto  :HWND, :WORD, :LPSTR, :LPSTR, :__out_ecount :LPSTR, :WORD, :ptr WORD
endif 
;// UNICODE APIs
;// High level APIs
SQLInstallODBCW proto  :HWND, :LPWSTR, :LPWSTR, :LPWSTR
SQLCreateDataSourceW proto  :HWND, :LPWSTR
__success proto  :return
SQLGetTranslatorW proto  :HWND, :__out_ecount :LPWSTR, :WORD, :ptr WORD, :__out_ecount :LPWSTR, :WORD, :ptr WORD, :ptr DWORD
;// Low level APIs
;// NOTE: The high-level APIs should always be used. These APIs
;//       have been left for compatibility.
__success proto  :return
SQLInstallDriverW proto  :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD
SQLInstallDriverManagerW proto  :__inout_ecount :LPWSTR, :WORD, :ptr WORD
__success proto  :return
SQLGetInstalledDriversW proto  :__out_ecount :LPWSTR, :WORD, :ptr WORD
__success proto  :return
SQLGetAvailableDriversW proto  :LPWSTR, :__out_ecount_opt :LPWSTR, :WORD, :ptr WORD
SQLConfigDataSourceW proto  :HWND, :WORD, :LPWSTR, :LPWSTR
SQLWriteDSNToIniW proto  :LPWSTR, :LPWSTR
SQLRemoveDSNFromIniW proto  :LPWSTR
SQLValidDSNW proto  :LPWSTR
SQLWritePrivateProfileStringW proto  :LPWSTR, :LPWSTR, :LPWSTR, :LPWSTR
__success proto  :!=
SQLGetPrivateProfileStringW proto  :LPWSTR, :LPWSTR, :LPWSTR, :__out_ecount_opt :LPWSTR, :DWORD, :LPWSTR
if (ODBCVER ge 0250h)
__success proto  :return
SQLInstallTranslatorW proto  :LPWSTR, :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD, :WORD, :LPDWORD
SQLRemoveTranslatorW proto  :LPWSTR, :LPDWORD
SQLRemoveDriverW proto  :LPWSTR, :BOOL, :LPDWORD
__success proto  :return
SQLConfigDriverW proto  :HWND, :WORD, :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD
endif 
if (ODBCVER ge 0300h)
__success proto  :==
SQLInstallerErrorW proto  :WORD, :ptr DWORD, :__out_ecount_opt :LPWSTR, :WORD, :ptr WORD
SQLPostInstallerErrorW proto  :DWORD, :LPWSTR
SQLWriteFileDSNW proto  :LPWSTR, :LPWSTR, :LPWSTR, :LPWSTR
__success proto  :return
SQLReadFileDSNW proto  :LPWSTR, :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD
__success proto  :return
SQLInstallDriverExW proto  :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD, :WORD, :LPDWORD
__success proto  :return
SQLInstallTranslatorExW proto  :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD, :WORD, :LPDWORD
;* ODBCVER >= 0x0300 *
endif 
;//  Driver specific Setup APIs called by installer
ConfigDSNW proto  :HWND, :WORD, :LPWSTR, :LPWSTR
if (ODBCVER ge 0250h)
ConfigDriverW proto  :HWND, :WORD, :LPWSTR, :LPWSTR, :__out_ecount :LPWSTR, :WORD, :ptr WORD
endif 
ifndef SQL_NOUNICODEMAP;// define this to disable the mapping
ifdef UNICODE
SQLInstallODBC	EQU	<SQLInstallODBCW>
SQLCreateDataSource	EQU	<SQLCreateDataSourceW>
SQLGetTranslator	EQU	<SQLGetTranslatorW>
SQLInstallDriver	EQU	<SQLInstallDriverW>
SQLInstallDriverManager	EQU	<SQLInstallDriverManagerW>
SQLGetInstalledDrivers	EQU	<SQLGetInstalledDriversW>
SQLGetAvailableDrivers	EQU	<SQLGetAvailableDriversW>
SQLConfigDataSource	EQU	<SQLConfigDataSourceW>
SQLWriteDSNToIni	EQU	<SQLWriteDSNToIniW>
SQLRemoveDSNFromIni	EQU	<SQLRemoveDSNFromIniW>
SQLValidDSN	EQU	<SQLValidDSNW>
SQLWritePrivateProfileString	EQU	<SQLWritePrivateProfileStringW>
SQLGetPrivateProfileString	EQU	<SQLGetPrivateProfileStringW>
SQLInstallTranslator	EQU	<SQLInstallTranslatorW>
SQLRemoveTranslator	EQU	<SQLRemoveTranslatorW>
SQLRemoveDriver	EQU	<SQLRemoveDriverW>
SQLConfigDriver	EQU	<SQLConfigDriverW>
SQLInstallerError	EQU	<SQLInstallerErrorW>
SQLPostInstallerError	EQU	<SQLPostInstallerErrorW>
SQLReadFileDSN	EQU	<SQLReadFileDSNW>
SQLWriteFileDSN	EQU	<SQLWriteFileDSNW>
SQLInstallDriverEx	EQU	<SQLInstallDriverExW>
SQLInstallTranslatorEx	EQU	<SQLInstallTranslatorExW>
endif ;// UNICODE
endif ;// SQL_NOUNICODEMAP
endif ;// RC_INVOKED
ifdef __cplusplus
;}
;// End of extern "C" {
endif ;// __cplusplus
endif ;// __ODBCINST_H

;--- errors: 0
;--- end of file ---
